Bug 64194 - groff is quite thoroughly broken in a PS output on Alpha
groff is quite thoroughly broken in a PS output on Alpha
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-28 13:14 EDT by Michal Jaegermann
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-28 15:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
troff input data for a picture (6.19 KB, text/plain)
2002-04-28 13:15 EDT, Michal Jaegermann
no flags Details
Output produced by groff from 'data.troff' on Alpha (8.23 KB, text/plain)
2002-04-28 13:17 EDT, Michal Jaegermann
no flags Details
Correct groff ouput from 'data.troff' done on x86 (8.24 KB, text/plain)
2002-04-28 13:18 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2002-04-28 13:14:15 EDT
Description of Problem:

From an attached file 'data.troff', produced actually by 'pic' preprocessor
on Alpha, 'groff -Tps data.troff' is creating quite nice Postscript picture
on an x86 machine but something totally garbled on Alpha.

Attached are also, for a comparison, pictures created by the command above
on Alpha and on Athlon (with Red Hat 7.2 distro).
Comment 1 Michal Jaegermann 2002-04-28 13:15:39 EDT
Created attachment 55705 [details]
troff input data for a picture
Comment 2 Michal Jaegermann 2002-04-28 13:17:21 EDT
Created attachment 55706 [details]
Output produced by groff from 'data.troff' on Alpha
Comment 3 Michal Jaegermann 2002-04-28 13:18:53 EDT
Created attachment 55707 [details]
Correct groff ouput from 'data.troff' done on x86
Comment 4 Michal Jaegermann 2002-04-28 15:48:46 EDT
As a matter of fact an output from 'groff -Thtml data.troff' on x86 machine
is not too exciting either.  See for yourself.  On Alpha produced PNG pictures
are additionally garbled beyond recognition.  I do not have ia64 to test
but I would be surprised if it would fare any better either with -Tps or
with -Thtml.
Comment 5 Florian La Roche 2002-11-18 11:03:01 EST
Seems to work fine with current rawhide rpms on x86 and on ia64.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.